org.icefaces.ace.component.tabset

## Interface ITabSet

- All Known Implementing Classes:
    TabSet, TabSetBase

      public interface ITabSet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOrientation()`
    `java.lang.Integer` | `getPreDecodeSelectedIndex()`
    `int` | `getSelectedIndex()`
    `java.lang.String` | `getShowEffect()`
    `int` | `getShowEffectLength()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `javax.el.MethodExpression` | `getTabChangeListener()`
    `java.util.List` | `getVisitedTabClientIds()`
    `boolean` | `isCancelOnInvalid()`
    `boolean` | `isClientSide()`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediate()`
    `void` | `setCancelOnInvalid(boolean cancelOnInvalid)`
    `void` | `setClientSide(boolean clientSide)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setOrientation(java.lang.String orientation)`
    `void` | `setPreDecodeSelectedIndex(java.lang.Integer preDecodeSelectedIndex)`
    `void` | `setSelectedIndex(int selectedIndex)`
    `void` | `setShowEffect(java.lang.String showEffect)`
    `void` | `setShowEffectLength(int showEffectLength)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabChangeListener(javax.el.MethodExpression tabChangeListener)`
    `void` | `setVisitedTabClientIds(java.util.List visitedTabClientIds)`

- - ### Method Detail

    - #### setCancelOnInvalid

          void setCancelOnInvalid(boolean cancelOnInvalid)

    - #### isCancelOnInvalid

          boolean isCancelOnInvalid()

    - #### setClientSide

          void setClientSide(boolean clientSide)

    - #### isClientSide

          boolean isClientSide()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setImmediate

          void setImmediate(boolean immediate)

    - #### isImmediate

          boolean isImmediate()

    - #### setOrientation

          void setOrientation(java.lang.String orientation)

    - #### getOrientation

          java.lang.String getOrientation()

    - #### setSelectedIndex

          void setSelectedIndex(int selectedIndex)

    - #### getSelectedIndex

          int getSelectedIndex()

    - #### setShowEffect

          void setShowEffect(java.lang.String showEffect)

    - #### getShowEffect

          java.lang.String getShowEffect()

    - #### setShowEffectLength

          void setShowEffectLength(int showEffectLength)

    - #### getShowEffectLength

          int getShowEffectLength()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabChangeListener

          void setTabChangeListener(javax.el.MethodExpression tabChangeListener)

    - #### getTabChangeListener

          javax.el.MethodExpression getTabChangeListener()

    - #### setPreDecodeSelectedIndex

          void setPreDecodeSelectedIndex(java.lang.Integer preDecodeSelectedIndex)

    - #### getPreDecodeSelectedIndex

          java.lang.Integer getPreDecodeSelectedIndex()

    - #### setVisitedTabClientIds

          void setVisitedTabClientIds(java.util.List visitedTabClientIds)

    - #### getVisitedTabClientIds

          java.util.List getVisitedTabClientIds()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.